
export const CREDENTIAL_TYPES_FIELDS_LIST = {
  "FinancialVulnerabilityCredential": [
    'firstName',
    'lastName',
    'email',
    'phoneNumber',
    'identityDocType',
    'identityNumber',
    'streetAddress',
    'socialWorkerName',
    'socialWorkerSurname',
    'financialVulnerabilityScore',
    'amountCoveredByOtherAids',
    'connectivityOptionList',
    'assessmentDate',
  ] as string[],

  "MembershipCard": [
    'organisation',
    'membershipType',
    'membershipId',
    'affiliatedSince',
    'affiliatedUntil',
    'typeOfPerson',
    'identityDocType',
    'identityNumber',
    'firstName',
    'lastName',
    'role',
    'email'
  ] as string[],

  "FederationMembership": [
    'federation',
    'legalName',
    'shortName',
    'registrationIdentifier',
    'publicRegistry',
    'streetAddress',
    'postCode',
    'city',
    'taxReference',
    'membershipType',
    'membershipStatus',
    'membershipId',
    'membershipSince',
    'email',
    'phone',
    'website',
    'evidence',
    'certificationDate',
  ] as string[],

  "CourseCredential": [
    'firstName',
    'lastName',
    'email',
    'personalIdentifier',
    'issuedDate',
    'modeOfInstruction',
    'courseDuration',
    'courseDays',
    'courseName',
    'courseDescription',
    'gradingScheme',
    'scoreAwarded',
    'qualificationAwarded',
    'courseLevel',
    'courseFramework',
    'courseCredits',
    'dateOfAssessment',
    'evidenceAssessment'
  ] as string[],

  "EOperatorClaim": [
    'legalName',
    'role',
    'email',
    'accreditedBy',
    'operatorNumber',
    'limitJurisdiction',
    'accreditedFor'
  ] as string[],
};

